<template>
  <div class="height_100">
    <searchHistory :importData="importData" :noveltySearch="noveltySearch" :projectId="projectId"></searchHistory>
  </div>
</template>

<script>
import searchHistory from './search_history.vue';
export default {
  components: {
    searchHistory
  },
  props: {},
  data() {
    return {
    };
  },
  watch: {},
  computed: {
    noveltySearch(){
      return this.$route.query.noveltySearch=='true'?true:false
    },
    projectId(){
      return this.$route.query.projectId
    },
    importData(){
        var data = this.$route.query.importData
        if(data){
            data = JSON.parse(data)
        }else{
            data = {}
        }
        return data
    },
  },
  created() {},
  mounted() {},
  methods: {},
};
</script>
<style lang="scss" scoped>
</style>